Attribute VB_Name = "modAPI"
Option Explicit
Private Type BITMAPINFOHEADER  '40 bytes
        biSize As Long
        biWidth As Long
        biHeight As Long
        biPlanes As Integer
        biBitCount As Integer
        biCompression As Long
        biSizeImage As Long
        biXPelsPerMeter As Long
        biYPelsPerMeter As Long
        biClrUsed As Long
        biClrImportant As Long
End Type
Private Type RGBQUAD
        rgbBlue As Byte
        rgbGreen As Byte
        rgbRed As Byte
        rgbReserved As Byte
End Type
Private Type BITMAPINFO
        bmiHeader As BITMAPINFOHEADER
        bmiColors As RGBQUAD
End Type


Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (lpvDest As Any, lpvSource As Any, ByVal cbCopy As Long)
Declare Function SetDIBitsToDevice Lib "gdi32" (ByVal hdc As Long, ByVal X As Long, ByVal Y As Long, ByVal dX As Long, ByVal dY As Long, ByVal SrcX As Long, ByVal SrcY As Long, ByVal Scan As Long, ByVal NumScans As Long, Bits As Any, BitsInfo As BITMAPINFO, ByVal wUsage As Long) As Long


Sub Draw(hdc As Long, PTR As Long, ByVal W As Long, ByVal H As Long)
    Dim biInfo As BITMAPINFO
    
    With biInfo.bmiHeader
      .biBitCount = 24
      .biPlanes = 1
      .biSize = Len(biInfo.bmiHeader)
      .biWidth = W
      .biHeight = -H
      .biSizeImage = 3 * (W * H)
    End With
    
    SetDIBitsToDevice hdc, 0, 0, W, H, 0, 0, 0, H, ByVal PTR, biInfo, 0
    
End Sub
